import pygame, mappainter, loading, level_loader, gui

pygame.init()
screen = pygame.display.set_mode((640, 480))
level_data = level_loader.load_data(1)
clock = pygame.time.Clock()

globex, globey = 0,0
letters = "smd12345678!@#$%^&*[]\;',./"
images = ( loading.load_image('shallow_water.png')[0],
               loading.load_image('moderate_water.png')[0],
               loading.load_image('deep_water.png')[0],
               
               loading.load_image('deep-to-shallow-BL-TR.png')[0],
               loading.load_image('deep-to-shallow-BR-TL.png')[0],
               loading.load_image('deep-to-shallow-B-T.png')[0],
               loading.load_image('deep-to-shallow-L-R.png')[0],
               loading.load_image('deep-to-shallow-R-L.png')[0],
               loading.load_image('deep-to-shallow-T-B.png')[0],
               loading.load_image('deep-to-shallow-TL-BR.png')[0],
               loading.load_image('deep-to-shallow-TR-BL.png')[0],
               
               loading.load_image('moderate-to-shallow-BL-TR.png')[0],
               loading.load_image('moderate-to-shallow-BR-TL.png')[0],
               loading.load_image('moderate-to-shallow-B-T.png')[0],
               loading.load_image('moderate-to-shallow-L-R.png')[0],
               loading.load_image('moderate-to-shallow-R-L.png')[0],
               loading.load_image('moderate-to-shallow-T-B.png')[0],
               loading.load_image('moderate-to-shallow-TL-BR.png')[0],
               loading.load_image('moderate-to-shallow-TR-BL.png')[0],

               loading.load_image('deep-to-moderate-BL-TR.png')[0],
               loading.load_image('deep-to-moderate-BR-TL.png')[0],
               loading.load_image('deep-to-moderate-B-T.png')[0],
               loading.load_image('deep-to-moderate-L-R.png')[0],
               loading.load_image('deep-to-moderate-R-L.png')[0],
               loading.load_image('deep-to-moderate-T-B.png')[0],
               loading.load_image('deep-to-moderate-TL-BR.png')[0],
               loading.load_image('deep-to-moderate-TR-BL.png')[0] )
filename = "map1.plm"
our_map = mappainter.Flat_Tile_Map(globex, globey, level_data[0][0][0], level_data[0][0][1], 50)
our_map.load(filename)
our_map.load_tiles(letters,images)

button = gui.Button(475, 400, 'button.png', True)

while 1:
    clock.tick(500)
    our_map.draw(screen)
    button.draw(screen, 'exit')
    m_d = gui.mouse_down(1)
    if button.clicked(m_d) == True:
        print "you quit"
        break
    print clock.get_fps()
            
    pygame.display.flip()
